package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.DrawModel;
import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.DrawModelVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @description: TODO
 * @author: 墨凡
 * @date: 2024/7/21 17:28
 * @version: 1.0
 */
@Mapper
public interface DrawModelMapper extends BaseMapperPlus<DrawModel, DrawModelVo> {

    /**
     * 根据图像id分页查询
     *
     * @param graphicsId
     * @return
     */
    List<DrawGraphicsVo> queryGraphics(Long graphicsId);

}
